# Branch

The Branch endpoints allow you to create, retrieve, update, and delete branches of a Sequence.&#x20;

### Attributes&#x20;

| ATTRIBUTE    | TYPE                                            | DESCRIPTION                                                                                                        |
| ------------ | ----------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ |
| id           | Integer                                         | Specify the ID of the Branch.                                                                                      |
| title        | String                                          | Specify the title of the Branch.                                                                                   |
| visibleOrder | Integer                                         | <p>The order in which the branch will execute on the </p><p>widget side (as a lead can have multiple branches)</p> |
| isParent     | String                                          | Specify the parent branch or not.                                                                                  |
| leadEdges    | <p>JSON Array Object <br>(Entity Relations)</p> | <p>A branch will have multiple edges, </p><p>these edges can be "bubble", "action" or  </p><p>"text message"</p>   |

### Permissions

To request a Branch endpoint, you will need a valid API Key with Sequence chatbot access permissions enabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/chatbot/sequence-bot/branch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
